Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageLocation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageLocation

Enclosing class:
  TdApi

public static final class TdApi.MessageLocation extends TdApi.MessageContent
A message with a location.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`expiresIn`
Left time for which the location can be updated, in seconds.
`int`
`heading`
For live locations, a direction in which the location moves, in degrees; 1-360.
`int`
`livePeriod`
Time relative to the message send date, for which the location can be updated, in seconds.
`TdApi.Location`
`location`
The location description.
`int`
`proximityAlertRadius`
For live locations, a maximum distance to another chat member for proximity alerts, in meters (0-100000).

## Constructor Summary

Constructors
Constructor
Description
`MessageLocation()`
A message with a location.
`MessageLocation(TdApi.Location location, int livePeriod, int expiresIn, int heading, int proximityAlertRadius)`
A message with a location.
`MessageLocation(DataInput input)`
A message with a location.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### location

public TdApi.Location location
The location description.

### livePeriod

public int livePeriod
Time relative to the message send date, for which the location can be updated, in seconds.

### expiresIn

public int expiresIn
Left time for which the location can be updated, in seconds. updateMessageContent is not sent when this field changes.

### heading

public int heading
For live locations, a direction in which the location moves, in degrees; 1-360. If 0 the direction is unknown.

### proximityAlertRadius

public int proximityAlertRadius
For live locations, a maximum distance to another chat member for proximity alerts, in meters (0-100000). 0 if the notification is disabled. Available only to the message sender.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageLocation

public MessageLocation()
A message with a location.

### MessageLocation

public MessageLocation(TdApi.Location location, int livePeriod, int expiresIn, int heading, int proximityAlertRadius)
A message with a location.

Parameters:
  `location` - The location description.
  `livePeriod` - Time relative to the message send date, for which the location can be updated, in seconds.
  `expiresIn` - Left time for which the location can be updated, in seconds. updateMessageContent is not sent when this field changes.
  `heading` - For live locations, a direction in which the location moves, in degrees; 1-360. If 0 the direction is unknown.
  `proximityAlertRadius` - For live locations, a maximum distance to another chat member for proximity alerts, in meters (0-100000). 0 if the notification is disabled. Available only to the message sender.

### MessageLocation

public MessageLocation(DataInput input) throws IOException
A message with a location.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`